Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1659)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1682)
@@ -1,5 +1,3 @@
-#if ! defined( __openacc )
- SUBROUTINE flow_statistics
-
+!> @file flow_statistics.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -21,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Code annotations made doxygen readable
 !
 ! Former revisions:
@@ -146,13 +144,16 @@
 ! Description:
 ! ------------
-! Compute average profiles and further average flow quantities for the different
-! user-defined (sub-)regions. The region indexed 0 is the total model domain.
-!
-! NOTE: For simplicity, nzb_s_inner and nzb_diff_s_inner are being used as a
-! ----  lower vertical index for k-loops for all variables, although strictly 
-! speaking the k-loops would have to be split up according to the staggered 
-! grid. However, this implies no error since staggered velocity components are 
-! zero at the walls and inside buildings.
+!> Compute average profiles and further average flow quantities for the different
+!> user-defined (sub-)regions. The region indexed 0 is the total model domain.
+!>
+!> @note For simplicity, nzb_s_inner and nzb_diff_s_inner are being used as a
+!>       lower vertical index for k-loops for all variables, although strictly 
+!>       speaking the k-loops would have to be split up according to the staggered 
+!>       grid. However, this implies no error since staggered velocity components 
+!>       are zero at the walls and inside buildings.
 !------------------------------------------------------------------------------!
+#if ! defined( __openacc )
+ SUBROUTINE flow_statistics
+ 
 
     USE arrays_3d,                                                             &
@@ -206,31 +207,31 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i                   !:
-    INTEGER(iwp) ::  j                   !:
-    INTEGER(iwp) ::  k                   !:
-    INTEGER(iwp) ::  nt                  !:
-    INTEGER(iwp) ::  omp_get_thread_num  !:
-    INTEGER(iwp) ::  sr                  !:
-    INTEGER(iwp) ::  tn                  !:
+    INTEGER(iwp) ::  i                   !<
+    INTEGER(iwp) ::  j                   !<
+    INTEGER(iwp) ::  k                   !<
+    INTEGER(iwp) ::  nt                  !<
+    INTEGER(iwp) ::  omp_get_thread_num  !<
+    INTEGER(iwp) ::  sr                  !<
+    INTEGER(iwp) ::  tn                  !<
     
-    LOGICAL ::  first  !:
+    LOGICAL ::  first  !<
     
-    REAL(wp) ::  dptdz_threshold  !: 
-    REAL(wp) ::  fac              !:
-    REAL(wp) ::  height           !:
-    REAL(wp) ::  pts              !:
-    REAL(wp) ::  sums_l_eper      !:
-    REAL(wp) ::  sums_l_etot      !:
-    REAL(wp) ::  ust              !:
-    REAL(wp) ::  ust2             !:
-    REAL(wp) ::  u2               !:
-    REAL(wp) ::  vst              !:
-    REAL(wp) ::  vst2             !:
-    REAL(wp) ::  v2               !:
-    REAL(wp) ::  w2               !:
-    REAL(wp) ::  z_i(2)           !:
+    REAL(wp) ::  dptdz_threshold  !< 
+    REAL(wp) ::  fac              !<
+    REAL(wp) ::  height           !<
+    REAL(wp) ::  pts              !<
+    REAL(wp) ::  sums_l_eper      !<
+    REAL(wp) ::  sums_l_etot      !<
+    REAL(wp) ::  ust              !<
+    REAL(wp) ::  ust2             !<
+    REAL(wp) ::  u2               !<
+    REAL(wp) ::  vst              !<
+    REAL(wp) ::  vst2             !<
+    REAL(wp) ::  v2               !<
+    REAL(wp) ::  w2               !<
+    REAL(wp) ::  z_i(2)           !<
     
-    REAL(wp) ::  dptdz(nzb+1:nzt+1)    !:
-    REAL(wp) ::  sums_ll(nzb:nzt+1,2)  !:
+    REAL(wp) ::  dptdz(nzb+1:nzt+1)    !<
+    REAL(wp) ::  sums_ll(nzb:nzt+1,2)  !<
 
     CALL cpu_log( log_point(10), 'flow_statistics', 'start' )
@@ -1588,5 +1589,7 @@
 
 !------------------------------------------------------------------------------!
-! flow statistics - accelerator version
+! Description:
+! ------------
+!> flow statistics - accelerator version
 !------------------------------------------------------------------------------!
  SUBROUTINE flow_statistics
@@ -1643,38 +1646,38 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i                   !:
-    INTEGER(iwp) ::  j                   !:
-    INTEGER(iwp) ::  k                   !:
-    INTEGER(iwp) ::  nt                  !:
-    INTEGER(iwp) ::  omp_get_thread_num  !:
-    INTEGER(iwp) ::  sr                  !:
-    INTEGER(iwp) ::  tn                  !:
+    INTEGER(iwp) ::  i                   !<
+    INTEGER(iwp) ::  j                   !<
+    INTEGER(iwp) ::  k                   !<
+    INTEGER(iwp) ::  nt                  !<
+    INTEGER(iwp) ::  omp_get_thread_num  !<
+    INTEGER(iwp) ::  sr                  !<
+    INTEGER(iwp) ::  tn                  !<
     
-    LOGICAL ::  first  !:
+    LOGICAL ::  first  !<
     
-    REAL(wp) ::  dptdz_threshold  !:
-    REAL(wp) ::  fac              !:
-    REAL(wp) ::  height           !:
-    REAL(wp) ::  pts              !:
-    REAL(wp) ::  sums_l_eper      !:
-    REAL(wp) ::  sums_l_etot      !:
-    REAL(wp) ::  s1               !:
-    REAL(wp) ::  s2               !:
-    REAL(wp) ::  s3               !:
-    REAL(wp) ::  s4               !:
-    REAL(wp) ::  s5               !:
-    REAL(wp) ::  s6               !:
-    REAL(wp) ::  s7               !:
-    REAL(wp) ::  ust              !:
-    REAL(wp) ::  ust2             !:
-    REAL(wp) ::  u2               !:
-    REAL(wp) ::  vst              !:
-    REAL(wp) ::  vst2             !:
-    REAL(wp) ::  v2               !:
-    REAL(wp) ::  w2               !:
-    REAL(wp) ::  z_i(2)           !:
-
-    REAL(wp) ::  dptdz(nzb+1:nzt+1)    !:
-    REAL(wp) ::  sums_ll(nzb:nzt+1,2)  !:
+    REAL(wp) ::  dptdz_threshold  !<
+    REAL(wp) ::  fac              !<
+    REAL(wp) ::  height           !<
+    REAL(wp) ::  pts              !<
+    REAL(wp) ::  sums_l_eper      !<
+    REAL(wp) ::  sums_l_etot      !<
+    REAL(wp) ::  s1               !<
+    REAL(wp) ::  s2               !<
+    REAL(wp) ::  s3               !<
+    REAL(wp) ::  s4               !<
+    REAL(wp) ::  s5               !<
+    REAL(wp) ::  s6               !<
+    REAL(wp) ::  s7               !<
+    REAL(wp) ::  ust              !<
+    REAL(wp) ::  ust2             !<
+    REAL(wp) ::  u2               !<
+    REAL(wp) ::  vst              !<
+    REAL(wp) ::  vst2             !<
+    REAL(wp) ::  v2               !<
+    REAL(wp) ::  w2               !<
+    REAL(wp) ::  z_i(2)           !<
+
+    REAL(wp) ::  dptdz(nzb+1:nzt+1)    !<
+    REAL(wp) ::  sums_ll(nzb:nzt+1,2)  !<
 
     CALL cpu_log( log_point(10), 'flow_statistics', 'start' )
